#ifndef __FILEBASE_H_INCLUDED
#define __FILEBASE_H_INCLUDED

#include <time.h>

struct file
{
    time_t     age;     // st_ctime (useful for sorting)
    char       type;    // 1 - file, 2 - directory
    char       hs;      // "has subdirs" flag
    struct tm  age1;    // broken down time
    long       size;    // in bytes
};

struct filedata
{
    struct file fd;
    char        *dir;    // pointer to directory name
    char        *name;   // pointer to file name
    char        *desc;   // pointer to description (if available)
};

struct __fb
{
    int                N;       //no. of entries
    struct filedata    *files;
    time_t             timestamp;
};

extern struct __fb fb;

int load_filelist (void);
int write_name (char *txt);
int write_desc (char *txt);
int close_filebase (void);
int create_filebase (void);
int write_item (struct filedata *f, int dr_o, int nm_o, int ds_o);

#endif
