#ifndef __ONSITE_H_INCLUDED
#define __ONSITE_H_INCLUDED

/*       titles and other strings     */

#define ARCHIVE_NAME "crydee.sai.msu.(su,ru) archive"
#define ARCHIVE_HOST "crydee.sai.msu.su"
#define FTP_SITE     "crydee.sai.msu.su"
#define MAINTAINER   "asv@sai.msu.su"

/*         paths          */

#define ARCHIVE_URL  "/archive/"      /* the root for autoindex files */
#define ARCHIVE_PATH "/WWW/archive/"  /* absolute path for autoindex files */
#define FTP_ROOT     "/ftp"           /* absolute path to ftp root directory */
#define WEB_ROOT     "/ftproot"       /* www alias for ftp root directory (for http transfers) */

/*         misc           */

#define EXPAND_SIGN  "<b>[+]</b>"

/*         files          */

#define HTML_PATH    ARCHIVE_PATH "html/"
#define TEMPDIR      ARCHIVE_PATH "scratch/"
#define HEADER       HTML_PATH "header.html"
#define FOOTER       HTML_PATH "footer.html"
#define COPYRIGHT    HTML_PATH "copyright.html"
#define FILELIST     TEMPDIR "files.bin"
#define NAMELIST     TEMPDIR "names.bin"
#define DESCLIST     TEMPDIR "descriptions.bin"
#define LOCKFILE     TEMPDIR "lock"

#ifdef __EMX__
   #define NULL_DEV     "nul"
#endif
#ifndef __EMX__
   #define NULL_DEV     "/dev/null"
#endif

/*         executable names      */

#define CGI_URL        ARCHIVE_URL "bin/"
#ifdef __EMX__
   #define CGI_EXT        "exe"
#endif
#ifndef __EMX__
   #define CGI_EXT        "cgi"
#endif
#define AUTOINDEX      CGI_URL "autoindex." CGI_EXT
#define AUTOLIST       CGI_URL "autolist." CGI_EXT
#define AUTOSEARCH     CGI_URL "autosearch." CGI_EXT
#define AUTOTREE       CGI_URL "autotree." CGI_EXT
#define AUTOEXTRACT    CGI_URL "autoextract." CGI_EXT
#define AUTONEWFILES   CGI_URL "autonewfiles." CGI_EXT
#define AUTODOWNLOAD1  CGI_URL "autodownload1." CGI_EXT
#define MAKEFILELIST   CGI_URL "automklist." CGI_EXT

/*         options         */

#define DEFAULT_SEARCH SEARCH_PLAIN
#define DEFAULT_SORT   'n'
#define DEFAULT_DEPTH  2
#ifdef __EMX__
   #define EQ_S           "#"
#endif
#ifndef __EMX__
   #define EQ_S           "="
#endif

/*         limits        */

#define MAX_ENTRIES     1000
#define MAX_DEPTH       5
#define HTTP_LIMIT      128*1024

#endif
